GetOwner
GET
/api/v1/ownerFetch the organization’s owner, the one account that can’t be removed.
Example request
Section titled “Example request”curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://us.oblique.security/api/v1/owner"Set OBLIQUE_API_KEY to your API key.
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://eu.oblique.security/api/v1/owner"Set OBLIQUE_API_KEY to your API key.
Path parameters
Section titled “Path parameters”namestringrequired
Response
Section titled “Response”200OwnerOwner is the primary point of contact for the Oblique server.
This API is a singleton API object, and as such only supports Get and Update methods.
namestringAssigned by Oblique. Always the single string
owner.userstringrequiredThe user that’s designated as the server owner. Always required when updating, but may be empty during initial provisioning.
Format:
users/{user}createTimestring (date-time)read-onlyThe time this API object was created.
updateTimestring (date-time)read-onlyThe time this API object was last updated.
Errors
Section titled “Errors”| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |